[RELEASE] LogicMachine firmware 2017.06
#21
Any update on Load Balancer FW?
Reply
#22
Try this one:
http://dl.openrb.com/lm-17/lb-20170620.img
Reply
#23
Hi,

Please look at the following event based script.

Code:
if (event.type=='groupread') then
 grp.response(event.dst,event.getvalue())
end

Since the release of RC4 this code will always return 0,  all previous firmwares would return the value of the object.

Thanks


Roger

(05.07.2017, 12:38)admin Wrote: @rocfusion, there's virtually zero performance difference between built-in and a wrapper function. I don't want to change how check* functions work as your case is not so common.

@managementboy, thanks, we'll have a look.

Hi Admin,

Just about every KNX dimmer or switch actuator supports a separate object for status.  KNX Manufacturers have developed their modules to support this functionality.  This is very common.

Thanks,


Roger
Reply
#24
event.getvalue() now returns the actual event value, not the current object value. Event value is not defined for read requests. For now you can use grp.getvalue(event.dst) instead, but for backward compatibility we will change is so it returns current object value for read requests.

check* will be kept unchanged for now.
Reply
#25
Hi
When will the final version 2017.06 be available?
Thank you
LM5Lp, firmware: 20170620 lm5m3-20170620.img, FlashSYS2 20170612, ARMv7 Processor rev 5 (v7l), kernel 4.4.73




Reply
#26
Probably RC4 will be marked as final for now, next version is coming in 2-3 months with some minor changes and bugfixes.
Reply
#27
(25.07.2017, 13:32)admin Wrote: Probably RC4 will be marked as final for now, next version is coming in 2-3 months with some minor changes and bugfixes.

can i install rc4 on my production systems?
Reply
#28
Yes, you can. It has been pretty much stable from RC1 with just some minor bugs.
Reply
#29
Hi.

tried to update my Reactor v2 to RC4 but got "Update package file is invalid".
I've reset the machine to factory defaults and retry to update to rc4. Same error.
The update to ver. 20160927 went fine.
Any solution?

Thanks,
Calin
Reply
#30
You have to install FW through system config -> system -> upgrade firmware
Reply
#31
Will there also be a release of RC4 for the older LM2 (AT91 chipset)?

regards,
Joost
Reply
#32
(24.07.2017, 06:16)admin Wrote: event.getvalue() now returns the actual event value, not the current object value. Event value is not defined for read requests. For now you can use grp.getvalue(event.dst) instead, but for backward compatibility we will change is so it returns current object value for read requests.

check* will be kept unchanged for now.

Hi Admin,  is this included in the current stable firmware?

Thanks,

Roger
Reply
#33
@joost001, please use RC3

@rocfusion, event.getvalue() changes for read events are not present in this version
Reply
#34
Hi,

How do I know that the firmware upgrade happened properly. At the bottom left corner of LogicMachine page, I still see "Version: 20160927". Also, In the "System Config" > System > Packages page, I can still see, after upgrade, some old versions like:

eibd 20160907
flashsys2 20160912
genohm-scada 20160927

Is this normal ?

Also, when I try to launch FB Editor from the Apps page, I get the following error: "Error in /www/apps/data/fbeditor20/index.lp at line 22: unexpected symbol near '='". I did remove and re-install it.
Reply
#35
The version should be 20170620 or similar. It's possible that SD card became read-only. You can try replacing it with a new one, there are recovery instructions on our website in firmware page.
Reply
#36
(19.08.2017, 14:15)admin Wrote: The version should be 20170620 or similar. It's possible that SD card became read-only. You can try replacing it with a new one, there are recovery instructions on our website in firmware page.

This was indeed the case., thank you for your support. It also explains why some modifications were lost following a power failure
This is really an issue that this kind of failure is not notified in any way to the user or administrator. Is there any function that would allow a custom script to be written in order to notify when this state occurs ? I find it happened quite fast by the way, after less than 2 years of operation, with a very light usage: low number of objets, trends...

Is there anyway to take benefit of the entire storage size of the replacement SD card ? In my case I had no 8GB card so I used a 32GB one instead... This could be useful for more precise trends during a longer time.

Finally, I think you should make the SD card accessible from the outside of the device, without having to open the case, because it can be quite tedious when almost all the wires are connected... In my case, it's a LM4, I have no idea if it has changed on newer devices...
Reply
#37
(22.08.2017, 21:41)Arlequin Wrote:
(19.08.2017, 14:15)admin Wrote: The version should be 20170620 or similar. It's possible that SD card became read-only. You can try replacing it with a new one, there are recovery instructions on our website in firmware page.

This was indeed the case., thank you for your support. It also explains why some modifications were lost following a power failure
This is really an issue that this kind of failure is not notified in any way to the user or administrator. Is there any function that would allow a custom script to be written in order to notify when this state occurs ? I find it happened quite fast by the way, after less than 2 years of operation, with a very light usage: low number of objets, trends...

Is there anyway to take benefit of the entire storage size of the replacement SD card ? In my case I had no 8GB card so I used a 32GB one instead... This could be useful for more precise trends during a longer time.

Finally, I think you should make the SD card accessible from the outside of the device, without having to open the case, because it can be quite tedious when almost all the wires are connected... In my case, it's a LM4, I have no idea if it has changed on newer devices...


Hi
We have changed supplier of SD cards and this issue is no more happening.
 
Bigger SD will not help in amount of trends as they running in RAM. SD card is used only as place to save the project and all static files.
 
Logic Machine 5 series has option to open top cover so you don't have to disassembly the whole device but you should not need to Smile
 
BR


Attached Files Thumbnail(s)
       
Reply
#38
Please help me !
I use LM3 reactor, I use 2017/6/1 version, but send mail is faulty. I still use that code with version 2016/4/24 still works error.
Does anyone have mail sending errors?
-------------------------
------------------- send an e-mail-----------------------------------------
function mail(to, subject, message)
-- make sure these settings are correct
local settings = {
-- "from" field, only e-mail must be specified here
from = 'abcdxyz@gmail.com',
-- smtp username
user = 'abcdxyz@gmail.com',
-- smtp password
password = 'password',
-- smtp server
server = 'smtp.gmail.com',
-- smtp server port
port = 465,
-- enable ssl, required for gmail smtp
secure = 'sslv23',
}

local smtp = require('socket.smtp')
local escape = function(v)
return '<' .. tostring(v) .. '>'
end

-- message headers and body
settings.source = smtp.message({
headers = {
to = escape(to),
subject = subject,
},
body = message
})

-- fixup from field
settings.from = escape(settings.from)
settings.rcpt = { escape(to) }

return smtp.send(settings)
end
-------------------------------
Reply
#39
(22.09.2017, 05:24)phongvucba Wrote: Please help me !
I use LM3 reactor, I use 2017/6/1 version, but send mail is faulty. I still use that code with version 2016/4/24 still works error.
Does anyone have mail sending errors?
-------------------------
------------------- send an e-mail-----------------------------------------
function mail(to, subject, message)
 -- make sure these settings are correct
 local settings = {
   -- "from" field, only e-mail must be specified here
   from = 'abcdxyz@gmail.com',
   -- smtp username
   user = 'abcdxyz@gmail.com',
   -- smtp password
   password = 'password',
   -- smtp server
   server = 'smtp.gmail.com',
   -- smtp server port
   port = 465,
   -- enable ssl, required for gmail smtp
   secure = 'sslv23',
 }

 local smtp = require('socket.smtp')
 local escape = function(v)
   return '<' .. tostring(v) .. '>'
 end

 -- message headers and body
 settings.source = smtp.message({
   headers = {
     to = escape(to),
     subject = subject,
   },
   body = message
 })

-- fixup from field
 settings.from = escape(settings.from)
 settings.rcpt = { escape(to) }

 return smtp.send(settings)
end
-------------------------------

Hi
Please create new thread, This is not a good place for this question. 
BR
Reply


Forum Jump: